Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3422 - colorification of the "[OK]" only if output is a tty
Summary: colorification of the "[OK]" only if output is a tty
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-12 18:36 UTC by piercarl
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-17 21:38:24 UTC


Attachments (Terms of Use)

Description piercarl 1999-06-12 18:36:49 UTC
Scripts in "/etc/rc.d/init.d" that use the 'daemon' function
may be executed in cron jobs or other offline scripts.

Unfortunately the "[OK]" style messages are _always_ wrapped
in colorification escape sequences, even if the output is
not a tty. There should be a check for tty output.

Comment 1 Jay Turner 1999-06-14 17:52:59 UTC
This has been forwarded to a developer for further action.

Comment 2 Bill Nottingham 1999-06-17 21:38:59 UTC
fixed in initscripts-4.22, available in next rawhide...


Note You need to log in before you can comment on or make changes to this bug.